Overview
GET/persona-memory/facts/{id}persona_memory

Get facts by id

Fetch a record from facts by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

facts

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • personaIdstring
  • scopestring
  • memoryIdstring?
  • subjectTablestring?
  • subjectIdstring?
  • predicatestring
  • objectTablestring?
  • objectIdstring?
  • objectValuestring?
  • sourcestring
  • confidenceinteger
  • validFromstring?
  • validTostring?
  • statusstring
  • supersedesIdstring?
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "ecosystemId": "string",
  "customerId": "string",
  "deletedAt": "string",
  "personaId": "string",
  "scope": "string",
  "memoryId": "string",
  "subjectTable": "string",
  "subjectId": "string",
  "predicate": "string",
  "objectTable": "string",
  "objectId": "string",
  "objectValue": "string",
  "source": "string",
  "confidence": 0,
  "validFrom": "string",
  "validTo": "string",
  "status": "string",
  "supersedesId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona-memory/facts/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/facts/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();